Lintian Reports

W binary-package-depends-on-toolchain-package

All reports of binary-package-depends-on-toolchain-package for the archive. The extended description of this tag is:

This package specifies a binary dependency on a "toolchain" package such as debhelper or cdbs. This is likely to be a mistake; these packages are typically specified as build-dependencies instead.

If the package intentionally requires such a dependency, please add a Lintian override with a justifying remark.

Severity: normal, Certainty: possible

Check: fields, Type: binary, udeb, source

Evolution of the binary-package-depends-on-toolchain-package Lintian tag over the past 366 days:

The beforementioned graph for the binary-package-depends-on-toolchain-package tag

Emitted (non-overridden): 39, overridden: 7, total: 46

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

alien 8.95 (binary)

arriero 0.7~20161228-1 (binary)

arriero 0.6-1 (binary)

blends-dev 0.7.2 (binary) overridden

check-all-the-things 2017.05.20 (binary)

customdeb 0.1 (binary)

ecaccess 4.0.1-1 (binary)

equivs 2.1.0 (binary)

fheroes2-pkg 0+svn20150122r3274-2-2 (binary)

gambas3-ide 3.9.2-2 (binary)

golang-code.gitea-gitea-dev 1.3.2+dfsg-3 (binary)

gradle-debian-helper 1.6 (binary)

grr-server 3.1.0.2+dfsg-6 (binary)

haskell-devscripts-minimal 0.13.8 (binary) overridden

ivy-debian-helper 1.0 (binary)

java-package 0.62 (binary)

kde-sc-dev-latest 4:4.12+5.102 (binary) overridden

kernel-wedge 2.96 (binary)

lava-dev 2018.5.post1-2 (binary) overridden

libdvd-pkg 1.4.2-1-1 (binary)

libgstreamer1.0-dev 1.14.2-2 (binary)

libgtk2.0-dev 2.24.32-2 (binary)

libpango1.0-dev 1.42.1-2 (binary)

linux-wlan-ng-firmware 0.2.9+dfsg-6 (binary)

lua5.1-policy-dev 33 (binary)

packaging-dev 0.8 (binary)

pkg-perl-tools 0.46 (binary) overridden

primesense-nite-nonfree 0.1.1 (binary)

publicfile-installer 0.14 (binary)

python-stdeb 0.8.5-1 (binary)

python3-stdeb 0.8.5-1 (binary)

sapgui-package 0.0.10+nmu1 (binary)

svn-buildpackage 0.8.6 (binary)

wireshark-dev 2.6.2-2 (binary)

zope-debhelper 0.3.16 (binary)